/* --------------------------------------------------- */
/* Header-file BASIS 1.0, (C) Wabnig Harald, 25.5.2002 */
/* --------------------------------------------------- */

#ifndef HASHTAB_INCLUDE
#define HASHTAB_INCLUDE

#include "boolean.h"
#include "mymemory.h"

/* default number of identifier */
#define DEFNMAX 10007

/* -----------------------------
   parameters: int max, int size
     max ... size of identifier-table
     size ... number of identifiers (prime number) 
              3001,5003,10007,15013,20011,30011,50021,100003,150001,200003,250007,300017
*/
extern void htinit(int, int);

extern char * idstring(int);

extern int htsearch(char *);
extern int htinsert(char *);
extern int htdelete(int);

#endif

